Bug 1668702 - python(abi) = 2.7 is needed by (installed) wireshark-cli-1:2.6.5-2.fc28.x86_64
Summary: python(abi) = 2.7 is needed by (installed) wireshark-cli-1:2.6.5-2.fc28.x86_64
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ruprich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-23 11:31 UTC by Harald Reindl
Modified: 2019-04-19 19:09 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-15 00:01:35 UTC


Attachments (Terms of Use)

Description Harald Reindl 2019-01-23 11:31:00 UTC
for the sake of god can we finally get rid of pyhton2 in Fedora?

[root@firewall:~]$  rpm -e python2
error: Failed dependencies:
        python(abi) = 2.7 is needed by (installed) wireshark-cli-1:2.6.5-2.fc28.x86_64
        python(abi) = 2.7 is needed by (installed) python2-setuptools-39.2.0-6.fc28.noarch
        /usr/bin/python2 is needed by (installed) python2-setuptools-39.2.0-6.fc28.noarch
        /usr/bin/python2.7 is needed by (installed) python2-libs-2.7.15-4.fc28.x86_64

Comment 1 Harald Reindl 2019-01-23 11:37:22 UTC
and frankly it even don't need it at all, so this could be an optional subpackage

[root@buildserver:~]$ rpm -q --filesbypkg wireshark-cli | grep python
wireshark-cli             /usr/lib64/python2.7/site-packages/wireshark_be.py
wireshark-cli             /usr/lib64/python2.7/site-packages/wireshark_be.pyc
wireshark-cli             /usr/lib64/python2.7/site-packages/wireshark_be.pyo
wireshark-cli             /usr/lib64/python2.7/site-packages/wireshark_gen.py
wireshark-cli             /usr/lib64/python2.7/site-packages/wireshark_gen.pyc
wireshark-cli             /usr/lib64/python2.7/site-packages/wireshark_gen.pyo

[root@firewall:~]$ df
Filesystem     Type  Size  Used Avail Use% Mounted on
/dev/sdb1      ext4  5.8G  669M  5.2G  12% /
/dev/sda1      ext4  190M   40M  151M  21% /boot

[root@firewall:~]$ rpm -e --nodeps python2-libs-2.7.15-4.fc28.x86_64 python2-setuptools-39.2.0-6.fc28.noarch python2-2.7.15-4.fc28.x86_64
[root@firewall:~]$ df

Filesystem     Type  Size  Used Avail Use% Mounted on
/dev/sdb1      ext4  5.8G  637M  5.2G  11% /
/dev/sda1      ext4  190M   40M  151M  21% /boot

[root@firewall:~]$ tshark
Capturing on 'wan'
    1   11:34:53.265671417        172.17.0.2    →       8.8.8.8         ICMP    98      Echo (ping) request  id=0x03ec, seq=61/15616, ttl=79
    2   11:34:53.280830805           8.8.8.8    →       172.17.0.2      ICMP    98      Echo (ping) reply    id=0x03ec, seq=61/15616, ttl=121 (request in 1)

Comment 2 Fedora Update System 2019-04-09 10:40:15 UTC
wireshark-3.0.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-77b2d840ef

Comment 3 Fedora Update System 2019-04-09 10:40:25 UTC
wireshark-3.0.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-aef1dac6a0

Comment 4 Fedora Update System 2019-04-10 07:09:24 UTC
wireshark-3.0.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-77b2d840ef

Comment 5 Fedora Update System 2019-04-10 14:37:26 UTC
wireshark-3.0.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aef1dac6a0

Comment 6 Fedora Update System 2019-04-15 00:01:35 UTC
wireshark-3.0.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-04-19 19:09:18 UTC
wireshark-3.0.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.